Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.pubsub
Enum NodeAffiliate.Affiliation

    java.lang.Object
      java.lang.Enum<NodeAffiliate.Affiliation>
          org.jivesoftware.openfire.pubsub.NodeAffiliate.Affiliation

All Implemented Interfaces:
  Serializable, Comparable<NodeAffiliate.Affiliation>

Enclosing class:
  NodeAffiliate

    public static enum NodeAffiliate.Affiliation

extends Enum<NodeAffiliate.Affiliation>

Affiliation with a node defines user permissions.

Enum Constant Summary
`none` A user with no affiliation can susbcribe to the node.
`outcast` Outcast users are not allowed to subscribe to the node.
`owner` An owner can publish, delete and purge items as well as configure and delete the node.
`publisher` A publisher can subscribe and publish items to the node.

Method Summary
`static NodeAffiliate.Affiliation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NodeAffiliate.Affiliation[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### owner

    public static final NodeAffiliate.Affiliation owner

  An owner can publish, delete and purge items as well as configure and delete the node.

### publisher

    public static final NodeAffiliate.Affiliation publisher

  A publisher can subscribe and publish items to the node.

### none

    public static final NodeAffiliate.Affiliation none

  A user with no affiliation can susbcribe to the node.

### outcast

    public static final NodeAffiliate.Affiliation outcast

  Outcast users are not allowed to subscribe to the node.

Method Detail

### values

    public static final NodeAffiliate.Affiliation[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(NodeAffiliate.Affiliation c : NodeAffiliate.Affiliation.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static NodeAffiliate.Affiliation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.